Package com.smartgwt.client.widgets.tab.events

# Class TabTitleChangedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<TabTitleChangedHandler>
com.smartgwt.client.widgets.tab.events.TabTitleChangedEvent

All Implemented Interfaces:
  `Cancellable`

public class TabTitleChangedEvent extends BrowserEvent<TabTitleChangedHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TabTitleChangedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to suppress the title change
  `protected void`
  `dispatch(TabTitleChangedHandler handler)`
  `static <S extends HasTabTitleChangedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<TabTitleChangedHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `String`
  `getNewTitle()`
  the new title
  `String`
  `getOldTitle()`
  the old title
  `Tab`
  `getTab()`
  the tab whose title has changed
  `static GwtEvent.Type<TabTitleChangedHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TabTitleChangedEvent

    public TabTitleChangedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasTabTitleChangedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<TabTitleChangedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(TabTitleChangedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<TabTitleChangedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<TabTitleChangedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<TabTitleChangedHandler>`

  - ### cancel

    public void cancel()
    Call this method to suppress the title change
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getNewTitle

    public String getNewTitle()
    the new title
    Returns:
      the new title

  - ### getOldTitle

    public String getOldTitle()
    the old title
    Returns:
      the old title

  - ### getTab

    public Tab getTab()
    the tab whose title has changed
    Returns:
      the tab whose title has changed